summaryrefslogtreecommitdiffstats
path: root/system/hddtemp
diff options
context:
space:
mode:
author Zordrak2010-05-13 00:40:36 +0200
committer Heinz Wiesinger2010-05-13 00:40:36 +0200
commitb87070df5a1914797ef201bcaa384cb7ad702367 (patch)
tree85935ece0f18725833724fe104b43adeeaf62aa6 /system/hddtemp
parentf1fd6796d55b400a48b386be21cca98353b424c1 (diff)
downloadslackbuilds-b87070df5a1914797ef201bcaa384cb7ad702367.tar.gz
system/hddtemp: Updated for version 0.3beta15
Diffstat (limited to 'system/hddtemp')
-rw-r--r--system/hddtemp/hddtemp.SlackBuild22
-rw-r--r--system/hddtemp/hddtemp.info2
2 files changed, 13 insertions, 11 deletions
diff --git a/system/hddtemp/hddtemp.SlackBuild b/system/hddtemp/hddtemp.SlackBuild
index afc32953df..06a71e5a05 100644
--- a/system/hddtemp/hddtemp.SlackBuild
+++ b/system/hddtemp/hddtemp.SlackBuild
@@ -7,8 +7,8 @@
# Modified by SlackBuilds.org
PRGNAM=hddtemp
-VERSION=${VERSION:-0.3beta15}
SRCVERSION=${SRCVERSION:-0.3-beta15}
+VERSION=$(echo $SRCVERSION | tr -d "-")
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -19,11 +19,14 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e # Exit on most errors
@@ -45,18 +48,15 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
--with-db-path=/etc/hddtemp/hddtemp.db \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -77,4 +77,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/hddtemp/hddtemp.info b/system/hddtemp/hddtemp.info
index 77f76a2383..ff23e495ee 100644
--- a/system/hddtemp/hddtemp.info
+++ b/system/hddtemp/hddtemp.info
@@ -2,7 +2,9 @@ PRGNAM="hddtemp"
VERSION="0.3beta15"
HOMEPAGE="https://savannah.nongnu.org/projects/hddtemp/"
DOWNLOAD="http://www.very-clever.com/download/nongnu/hddtemp/hddtemp-0.3-beta15.tar.bz2"
+DOWNLOAD_x86_64=""
MD5SUM="8b829339e1ae9df701684ec239021bb8"
+MD5SUM_x86_64=""
MAINTAINER="Zordrak"
EMAIL="slackbuilds@tpa.me.uk"
APPROVED="pprkut"